Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue

    java.lang.Object
      org.apache.batik.css.dom.CSSOMSVGColor
          org.apache.batik.css.dom.CSSOMSVGPaint
              org.apache.batik.css.dom.CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue

All Implemented Interfaces:
  CSSOMSVGColor.ValueProvider, CSSValue, RGBColor, org.w3c.dom.svg.SVGColor, org.w3c.dom.svg.SVGICCColor, org.w3c.dom.svg.SVGNumberList, org.w3c.dom.svg.SVGPaint

Enclosing class:
  CSSOMSVGStyleDeclaration

    public class CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue

extends CSSOMSVGPaint
implements CSSOMSVGColor.ValueProvider

This class represents a CSS value returned by this declaration.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMSVGPaint
`CSSOMSVGPaint.AbstractModificationHandler, CSSOMSVGPaint.PaintModificationHandler`

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`CSSOMSVGColor.AbstractComponent, CSSOMSVGColor.BlueComponent, CSSOMSVGColor.ColorNumber, CSSOMSVGColor.FloatComponent, CSSOMSVGColor.GreenComponent, CSSOMSVGColor.ModificationHandler, CSSOMSVGColor.RedComponent, CSSOMSVGColor.ValueProvider`

Field Summary
`protected String` | `property` The property name.

Fields inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`blueComponent, greenComponent, handler, iccColors, redComponent, valueProvider`

Fields inherited from interface org.w3c.dom.svg.SVGPaint
`SVG_PAINTTYPE_CURRENTCOLOR, SVG_PAINTTYPE_NONE, SVG_PAINTTYPE_RGBCOLOR, SVG_PAINTTYPE_RGBCOLOR_ICCCOLOR, SVG_PAINTTYPE_UNKNOWN, SVG_PAINTTYPE_URI, SVG_PAINTTYPE_URI_CURRENTCOLOR, SVG_PAINTTYPE_URI_NONE, SVG_PAINTTYPE_URI_RGBCOLOR, SVG_PAINTTYPE_URI_RGBCOLOR_ICCCOLOR`

Fields inherited from interface org.w3c.dom.svg.SVGColor
`SVG_COLORTYPE_CURRENTCOLOR, SVG_COLORTYPE_RGBCOLOR, SVG_COLORTYPE_RGBCOLOR_ICCCOLOR, SVG_COLORTYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue(String prop)` Creates a new StyleDeclarationPaintValue.

Method Summary
`Value` | `getValue()` Returns the current value associated with this object.

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGPaint
`getColorType, getPaintType, getUri, setModificationHandler, setPaint, setUri`

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`appendItem, clear, getBlue, getColorProfile, getColors, getCssText, getCssValueType, getGreen, getIccColor, getICCColor, getItem, getNumberOfItems, getRed, getRgbColor, getRGBColor, initialize, insertItemBefore, removeItem, replaceItem, setColor, setColorProfile, setCssText, setRGBColor, setRGBColorICCColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGColor
`getICCColor, getRGBColor, setColor, setRGBColor, setRGBColorICCColor`

Methods inherited from interface org.w3c.dom.css.CSSValue
`getCssText, getCssValueType, setCssText`

Field Detail

### property

    protected String property

  The property name.

Constructor Detail

### CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue

    public CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue(String prop)

  Creates a new StyleDeclarationPaintValue.

Method Detail

### getValue

    public Value getValue()

  Returns the current value associated with this object.

  Specified by:
    `getValue` in interface `CSSOMSVGColor.ValueProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.